
import java.util.Date;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public class PamatovyCitatDao implements CitatDao {
    private List<Citat> citaty = new LinkedList<Citat>();
 
    @Override
    public Citat najdiPodlaId(Integer id) {
        for (Citat citat : citaty) {
            if(citat.getId().equals(id)) {
                return citat;
            }
        }
        return null;
    }

    @Override
    public List<Citat> najdiPodlaAutora(String autor) {
        List<Citat> najdeneCitaty = new LinkedList<Citat>();
        for (Citat citat : citaty) {
            if(citat.getAutor().equals(autor)) {
                najdeneCitaty.add(citat);
            }
        }
        return najdeneCitaty;       
    }

    @Override
    public List<Citat> najdiPodlaZdroja(String zdroj) {
        List<Citat> najdeneCitaty = new LinkedList<Citat>();
        for (Citat citat : citaty) {
            if(citat.getZdroj().equals(zdroj)) {
                najdeneCitaty.add(citat);
            }
        }
        return najdeneCitaty;       
    }

    @Override
    public List<Citat> listPodlaDatumu() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void save(Citat c) {
        this.citaty.add(c);
    }

    @Override
    public void delete(Citat c) {
        Iterator<Citat> iter = citaty.iterator();
        while(iter.hasNext()) {
            Citat citat = iter.next();
            if(citat.getId().equals(c.getId())) {
                iter.remove();
            }
        }
    }
    
}
